# Interface methods for submodule: BinaryThresholdProjectionImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: BinaryThresholdProjectionImageFilter
class BinaryThresholdProjectionImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetProjectionDimension(self, _arg: int) -> None:
		""""""
		...

	def GetProjectionDimension(self) -> int:
		""""""
		...

	@overload
	def SetForegroundValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetForegroundValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetForegroundValue(self) -> float:
		""""""
		...

	@overload
	def GetForegroundValue(self) -> int:
		""""""
		...

	@overload
	def SetBackgroundValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetBackgroundValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetBackgroundValue(self) -> float:
		""""""
		...

	@overload
	def GetBackgroundValue(self) -> int:
		""""""
		...

	@overload
	def SetThresholdValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetThresholdValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetThresholdValue(self) -> float:
		""""""
		...

	@overload
	def GetThresholdValue(self) -> int:
		""""""
		...

